HGL-3.2.0.2: A simple graphics library based on X11 or Win32

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org
Safe Haskell | None

Graphics.HGL.Units

Description

Types for units in a simple graphics library.

Synopsis

- type Point = (Int, Int)
- type Size = (Int, Int)
- type Angle = Double
- type Time = Integer

# Documentation

type Point = (Int, Int)Source

A position within a window, measured in pixels to the right and down from the top left corner.

type Size = (Int, Int)Source

A (width, height) pair, both measured in pixels.

type Angle = Double Source

An angle in degrees (0 to 360).

type Time = Integer Source

Time, measured in milliseconds.